Skip to main content
PUT
/
filesystem
/
{path}
Create or update a file or directory
curl --request PUT \
  --url https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/filesystem/{path} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "file contents here",
  "isDirectory": false,
  "permissions": "0644"
}
'
import requests

url = "https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/filesystem/{path}"

payload = {
"content": "file contents here",
"isDirectory": False,
"permissions": "0644"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: 'file contents here', isDirectory: false, permissions: '0644'})
};

fetch('https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/filesystem/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "File created successfully",
  "path": "/path/to/file"
}
{
"error": "Error message"
}
{
"error": "Error message"
}
{
"error": "Error message"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

path
string
required

File or directory path

Body

application/json

File or directory details

content
string
Example:

"file contents here"

isDirectory
boolean
Example:

false

permissions
string
Example:

"0644"

Response

Success message

message
string
required
Example:

"File created successfully"

path
string
Example:

"/path/to/file"

Last modified on June 17, 2026